image: maven:3-jdk-8

validate:
  script: "mvn clean validate -B"

test:
  script:
    - mvn clean package -B
    - mvn jetty:run-exploded -B & export APP_PID=$!
    - sleep 30
    - date
    - curl -u $LANDFILL_USER -sSf http://127.0.0.1:8080/BugzillaAdaptor/services/catalog/singleton
    - kill $APP_PID
